<?php
/*
 CLASE PARA LA GESTION DE TITULARES
*/
require_once "db.class.php";

class titular extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE TITULARES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function titular(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();$this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from titulares");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function titularess($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();

                //se llenan los datos en un array
                 
                 $query = $this->consulta("select titulares.profesor, profesores.nombres, titulares.grado, titulares.curso, titulares.jornada, titulares.numero from profesores inner join titulares on profesores.cedula = titulares.profesor limit ".$inicio.",10");

		 while ( $tsArray = $this->fetch_assoc($query) ){
			$data[] = $tsArray;
                 }

                 return $data;

                $this->disconnect();
	}

}

?>